Subject: bug#70352: Fwd: Re: bug#70352: 29.3.50; emacs-pgtk: possible leak of virtual memory

From: Yang Yingchao <[email-masked]>
Date: Mon, 15 Apr 2024 09:58:03 +0800

On Mon, Apr 15 2024, Yang Yingchao wrote:

> -------------------- Start of forwarded message --------------------
> From: Yang Yingchao <[email-masked]>
> To: Eli Zaretskii <[email-masked]>
> Subject: Re: bug#70352: 29.3.50; emacs-pgtk: possible leak of virtual memory
> Date: Mon, 15 Apr 2024 09:21:04 +0800
>
> <#multipart type=mixed>
> <#part type="text/plain" disposition=inline>
> Hi * Eli*,
>
> On Sun, Apr 14 2024, Eli Zaretskii wrote:
>
>>> From: Po Lu <[email-masked]>
>>> Cc: [email-masked],  [email-masked],  [email-masked]
>>> Date: Sun, 14 Apr 2024 14:28:33 +0800
>>>
>>> Eli Zaretskii <[email-masked]> writes:
>>>
>>> > I thought the question I asked was for you to answer, not for the OP:
>>> > how come the OP bumped into a problem that (AFAIU) could only happen
>>> > when using code that is not in the Emacs Git repository?
>>>
>>> Because the OP, presumably, built code that I published elsewhere (and,
>>> I had hoped, discreetly enough to avoid the attention of casual Emacs
>>> users).
>>
>> If that's what happened, then yes, it explains everything (and means
>> we don't need to discuss this issue anymore).
>
>
> Sorry for the late response.
>
> And actually, I was wrong about the GTK version. I mistook the GTK version as the GTK+ version...
>
> Here is the actual version related to GTK+:
>
> ```
>
> $ ldd emacs | grep gtk
>         libgtk-3.so.0 => /usr/lib64/libgtk-3.so.0 (0x00007f1e4ba00000)
> ```
>
> If any other information is required, please let me know.
>
> Regards,
>
> -- *Yang Yingchao*
> -------------------- End of forwarded message --------------------
> <#/part>
> <#/multipart>

FYI:
I tested this in two window managers (Hyprland & Sway), and found that the same issue exists.